# MAIN IMPORTS ================================================================================================================================================ #
import psyco
psyco.full()
import es
import playerlib
# ============================================================================================================================================================= #

# * SAM IMPORTS
func = es.import_addon('sam/functions')
bans = es.import_addon('sam/base/pcontrol/ban')

# '''''''''''''''''''' # Addon/Mod Info # '''''''''''''''''' #
addon = es.AddonInfo()
addon.name     = 'Connected'
addon.basename = 'connected'
addon.status   = 1
addon.version  = '1.3.pub'
# '''''''''''''''''''''''''''''''''''''''''''''''''''''''''' #

# ============================================================================================================================================================= #
# ========================================================================== LOAD ============================================================================= #
# ============================================================================================================================================================= #
def load():
	### Addon State ###
	es.set('sam_' + addon.basename, 1)

# ============================================================================================================================================================= #
# ========================================================================= UNLOAD ============================================================================ #
# ============================================================================================================================================================= #
def unload():
	### Addon State ###
	es.set('sam_' + addon.basename, 0)

# ============================================================================================================================================================= #
# ========================================================================= EVENTS ============================================================================ #
# ============================================================================================================================================================= #
def es_player_validated(ev):
	if not bans.isBanned(ev['networkid']): func.tell('#all', func.lang_addon(addon.basename, 'connected', ev))

# ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::: #
def player_disconnect(ev):
	if not ev['es_steamid'] == 'BOT':
		if not bans.isBanned(ev['es_steamid']): func.tell('#all', func.lang_addon(addon.basename, 'disconnected', ev))

# ============================================================================================================================================================= #