# MAIN IMPORTS ================================================================================================================================================ #
import psyco
psyco.full()
import es
import playerlib
import popuplib
import cmdlib
import langlib
# ============================================================================================================================================================= #

# * SAM IMPORTS
func   = es.import_addon('sam/functions')
admins = es.import_addon('sam/admins')
block  = es.import_addon('sam/base/pcontrol')

# * VARIABLES
filters     = ['#all','#human']
kicktag     = '#greenKICK'
kick_hudtag = 'KICK'

# ============================================================================================================================================================= #
# ========================================================================== LOAD ============================================================================= #
# ============================================================================================================================================================= #
def load():
	cmdlib.registerSayCommand('!kick', kickCMD,'SAM')
	cmdlib.registerSayCommand('!sam_kick', kickCMD,'SAM')

# ============================================================================================================================================================= #
# ========================================================================= UNLOAD ============================================================================ #
# ============================================================================================================================================================= #
def unload():
	cmdlib.unregisterSayCommand('!kick')
	cmdlib.unregisterSayCommand('!sam_kick')

# ============================================================================================================================================================= #
# ======================================================================= CMD BLOCKS ========================================================================== #
# ============================================================================================================================================================= #
def kickCMD(userid, args):
	admin = playerlib.getPlayer(userid)
	if admins.isAdmin(admin.steamid):
		if admins.checkAccess(admin.steamid, 'Kick'):
			if args:
				if not args[0] in filters:
					try: moduleAction(userid, playerlib.getPlayer(es.getuserid(args[0])), 1)
					except: func.hudhint(userid, func.lang_pcontrol('target_not_exist', {'target':args[0]}), kick_hudtag)
				else:
					list = playerlib.getPlayerList(args[0])
					for ply in list:
						if admins.checkImmunity(es.getplayersteamid(userid), ply.steamid, 0): moduleAction(userid, ply, 1, 1)
						else: list.remove(ply)
					if len(list) > 0: func.tell('#all', func.lang_pcontrol('kick_multi_targets', {'num':len(list)}), kicktag)
			else: block.function(userid, 'Kick', None)

# ============================================================================================================================================================= #
# ======================================================================= MAIN BLOCKS ========================================================================= #
# ============================================================================================================================================================= #
def moduleAction(admin, target, cmd=0):
	target.kick(reason=func.lang_pcontrol('kick_kicked_msg'))
	if cmd == 0:
		func.tell('#human', func.lang_pcontrol('kick_one_target', {'target':target.name}), kicktag)
		block.function(admin, 'Kick', None)

# ============================================================================================================================================================= #